Subject: Re: Tc filtering: broken 802_3 classifier?

From: Patrick McHardy <[email-masked]>
Date: Wed, 25 Jul 2007 19:28:47 +0200

Waskiewicz Jr, Peter P wrote:
>>The protocol match is on skb->protocol, so it case of 
>>ethernet its on the ethernet protocol, which is ETH_P_IP or 
>>"ip" for IPv4.
> 
> 
> I see that in the code, but the reason I started worrying was when I
> added the 802_3 classifier on 8 flows, it would shove all traffic into
> flowid 1:1, no matter if it matched or not.
> 
> I'll keep investigating and see if I can narrow down what I'm seeing.

I'm not sure what you're expecting. skb->protocol is usually not set
to ETH_P_802_3, which is why the filter is not matching.